Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Interface SignatureProperties

All Superinterfaces:
  XMLStructure

    public interface SignatureProperties

extends XMLStructure

A representation of the XML `SignatureProperties` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

    <element name="SignatureProperties" type="ds:SignaturePropertiesType"/>
       <complexType name="SignaturePropertiesType">
         <sequence>
           <element ref="ds:SignatureProperty" maxOccurs="unbounded"/>
         </sequence>
         <attribute name="Id" type="ID" use="optional"/>
       </complexType>

A `SignatureProperties` instance may be created by invoking the `newSignatureProperties` method of the `XMLSignatureFactory` class; for example:

       XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
       SignatureProperties properties =
            factory.newSignatureProperties(props, "signature-properties-1");

See Also:
  `XMLSignatureFactory.newSignatureProperties(List, String)`, `SignatureProperty`

Field Summary
`static java.lang.String` | `TYPE` URI that identifies the `SignatureProperties` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

Method Summary
`java.lang.String` | `getId()` Returns the Id of this `SignatureProperties`.
`java.util.List` | `getProperties()` Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Field Detail

### TYPE

    static final java.lang.String TYPE

  URI that identifies the `SignatureProperties` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

  See Also:
    Constant Field Values

Method Detail

### getId

    java.lang.String getId()

  Returns the Id of this `SignatureProperties`.

  Returns:
    the Id of this `SignatureProperties` (or `null` if not specified)

### getProperties

    java.util.List getProperties()

  Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.

  Returns:
    an unmodifiable list of one or more `SignatureProperty`s

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org